FROM openjdk:8-jdk-alpine

# Add a volume pointing to /tmp
VOLUME /tmp

# Make port 8080 available to the world outside this container
#EXPOSE 8080
EXPOSE 8080:8080

# The application's jar file
# Slouží pouze jako výchozí název aplikace, když se nepředá název níže v "ADD" nebo v "COPY":
ARG JAR_FILE=target/shopping-list.jar

# Add the application's jar to the container
# Výchozí předaný název v "JAR_FILE", pak to app je již název aplikace pro přístup přes docker a volá se níže v "ENTRYPOINT":
#ADD ${JAR_FILE} app.jar

#COPY target/shopping-list.jar app.jar
COPY ${JAR_FILE} app.jar
ENTRYPOINT ["java", "-Djava.security.egd=file:/dev/./urandom", "-jar","/app.jar"]